Skip to main content
GET
List tasks

Authorizations

Authorization
string
header
required

An API key minted in Command Center (Settings -> API Keys), sent as Authorization: Bearer 2501_ak_.... A Command Center session cookie is also accepted.

Query Parameters

limit
string
default:25
starting_after
string
ending_before
string
include
Available options:
total_count
org_id
string
required
status
Available options:
assigned,
in_progress,
failed,
completed,
planning,
initial_action_generation,
action_verification,
verification_retry,
verification_success,
verification_failed,
await_cli_input,
action_generation,
action_executor,
process_engine_action,
pending,
canceled
agent_id
string
job_id
string
archived
default:false
Available options:
true
created_gte
string<date-time>
created_lte
string<date-time>

Response

A page of the organization's tasks

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
total_count
integer

Present only when include=total_count is set